<?php
/**
 * Themescapes Torn functions.php
 * Author: Jeremy Harbin/Themescapes
 *
 */

if ( ! isset( $content_width ) )
	$content_width = 624;

add_theme_support( 'post-thumbnails' ); 
add_editor_style();
/*****************************************************
*	add nav menu																			 *
 ****************************************************/
 
add_action( 'init', 'register_my_menu' );

function register_my_menu() {
	
	register_nav_menu( 'primary-menu', __( 'Primary Menu' ) );
}
	
/*****************************************************
*	widgetize sidebar																			 *
 ****************************************************/

 if ( function_exists('register_sidebar') ) {
	register_sidebar(array(
		'before_widget' => '<li id="%1$s" class="widget %2$s">',
		'after_widget' => '</li>',
		'before_title' => '<h2 class="widgettitle">',
		'after_title' => '</h2>',
	));
} 

/*****************************************************
*	    WP Auto Feed Links																		 *
 ****************************************************/

if(function_exists('add_theme_support')) {
    add_theme_support('automatic-feed-links');

}
/*****************************************************
* enable threaded comments															 *
 ****************************************************/

function enable_threaded_comments(){
	if (!is_admin()) {
		if (is_singular() AND comments_open() AND (get_option('thread_comments') == 1))
			wp_enqueue_script('comment-reply');
		}
}
add_action('get_header', 'enable_threaded_comments');

/*****************************************************
* Torn Admin Favicon																		 *
 ****************************************************/

function admin_favicon() {
	echo '<link rel="Shortcut Icon" type="image/x-icon" href="'.get_bloginfo('template_directory').'/images/favicon.ico" />';
}
add_action('admin_head', 'admin_favicon');

/*****************************************************
* Torn admin login logo								  										 *
 ****************************************************/

function custom_login_logo() {
	echo '<style type="text/css">
	h1 a { background-image: url('.get_bloginfo('template_directory').'/images/adminlogin.gif) !important; }
	</style>';
}
add_action('login_head', 'custom_login_logo');

/*****************************************************
* Torn admin custom footer						  										 *
 ****************************************************/

 function custom_admin_footer() {
	echo '<a href="http://themescapes.net/">Wordpress Development by Themescapes Website Design - A web ideas company.</a>';
} 
add_filter('admin_footer_text', 'custom_admin_footer');
 
function banner_list_updates() {
	
	global 
		$themedir,
		$uploaddir,
		$uploadfile,
		$themeurl,
		$imageurl;	
	
	$tornbannerarray = get_option('torn_banners');
	if ($tornbannerarray == null) {
		$tornbannerarray = array();
	}
	$tornbannerold = scandir($uploaddir);
	$tornbannerrestore = array();
	
	foreach ($tornbannerold	as $tornimageurl) {
		if (strstr($tornimageurl, 'oldtornbanner') !== false) {
			array_push($tornbannerrestore, $tornimageurl);
		}
	} 
	
//*********remove banners*******************
if (isset($_POST['deletebanner'])) {	
	if ($_POST['deletebanner'] !== null) {
		$tornbannerremove = $_POST['deletebanner'];
		foreach ($tornbannerarray as $key => $tornimageremove) {
			if ($tornimageremove['name'] == $tornbannerremove) {
			$tornimageremovenew = $uploaddir . "oldtornbanner" . $tornimageremove['name'];
			$tornimageremoveold = $uploaddir .  $tornimageremove['name'];
				rename($tornimageremoveold, $tornimageremovenew);
				$tornkey = $key;		 
			}
		}

		unset($tornbannerarray[$tornkey]);
		$tornbannerarray = array_values($tornbannerarray);
	}
}
	
//*********add banners*******************
if (isset($_POST['addbanner'])) {		
	if ($_POST['addbanner'] !== null) {
		$tornbannerremove = $_POST['addbanner'];
		foreach ($tornbannerrestore as $key => $tornimageremove) {
			if ($tornimageremove == $tornbannerremove) {
				$stripname = "oldtornbanner";
				$tornimageremovenew = str_replace($stripname, "", $tornimageremove);
			$tornimageremovenewfull = $uploaddir . $tornimageremovenew;
			$tornimageremoveold = $uploaddir .  $tornbannerremove;
				rename($tornimageremoveold, $tornimageremovenewfull);	
				$tornbannerarray[] = array("name" => $tornimageremovenew, "imageurl" => $imageurl . $tornimageremovenew, "linkurl" => " ", "bannerkey" => " ", "target" => " ", "priority" => "1", "title" => " ", "alt" => " ");			 

			}
		}
	}
}
	
//*********delete banners*******************	

if (isset($_POST['fulldeletebanner'])) {
	if ($_POST['fulldeletebanner'] !== null) {
		$tornbannerremove = $_POST['fulldeletebanner'];
		foreach ($tornbannerrestore as $key => $tornimageremove) {
			if ($tornimageremove == $tornbannerremove) {
			$tornimageremoveold = $uploaddir  .  $tornbannerremove;
			$tornimageremoveold = trim($tornimageremoveold);
				unlink($tornimageremoveold);			 
			}
		}
	}
}
	
//*********save banner options***************

if (isset($_POST['savebanner'])) {
	if($_POST['savebanner'] !== null) {
		foreach ($tornbannerarray as $tornkey => $tornbanners) {
			if($_POST['savebanner'] == $tornbanners['name']) {
				if (isset($_POST['url'])) {
					$tornbannerarray[$tornkey]['linkurl'] = esc_url($_POST['url']);
				}
				if (isset($_POST['target'])) {				
					$tornbannerarray[$tornkey]['target'] = $_POST['target'];
				}
				if (isset($_POST['bannerkey'])) {
					$tornbannerarray[$tornkey]['bannerkey'] = $_POST['bannerkey'];
				}
				if (isset($_POST['priority'])) {				
					$tornbannerarray[$tornkey]['priority'] = $_POST['priority'];
				}
				if (isset($_POST['title'])) {
					$tornbannerarray[$tornkey]['title'] = filter_var($_POST['title'],FILTER_SANITIZE_STRING,FILTER_FLAG_STRIP_HIGH);
				}
				if (isset($_POST['alt'])) {
					$tornbannerarray[$tornkey]['alt'] = filter_var($_POST['alt'],FILTER_SANITIZE_STRING,FILTER_FLAG_STRIP_HIGH);
				}
			}
		}
	}
}
	
update_option('torn_banners',$tornbannerarray);	
}//**************End of banner_list_updates()

/*****************************************************
*	Global Variables   																			 *
 ****************************************************/ 
$themename = "Torn Theme";
$shortname = "torn";
$torndeveloper = "Themescapes Web Development";
$torndevurl = "http://www.themescapes.net";
$torndevdesc = "Wordpress Theme Developed";
$themewpoptionkey = $shortname . "_theme_options";
$page1options = array (	
			array( "name" => "Torn Administrative Options",
				"type" => "title"),
			 
			array( "type" => "open"),
			
			array( "name" => "Custom Messages",
				"type" => "subtitle"),
			
			array( "name" => "Copyright enable",
				"desc" => "Would you like to display a copyright message at the footer of your posts and at the end of your feed?",
				"id" => $shortname."_copyright_enable",
				"type" => "checkbox",
				"std" => "true",
				"ans" => "true"),	
				
			array( "name" => "Custom Copyright Message",
				"desc" => "If you would rather type your own copyright message to appear at the bottom of your posts and feed type it in the box above.  Leaving this blank to use the default copyright message.",
				"id" => $shortname."_copyright_message",
				"type" => "textarea",
				"std" => "",
				"ans" => ""),	
				
			array( "name" => "Another Custom Post Message",
				"desc" => "Is there another message you would like to place at the bottom of your post?  Type it in the box above to have it appear.  Leave it blank to ignore this option.",
				"id" => $shortname."_custom_post_message",
				"type" => "textarea",
				"std" => "",
				"ans" => ""),	
				
			array( "name" => "Another Custom Feed Message",
				"desc" => "Is there another message you would like to place at the end of your feed?  Type it in the box above to have it appear.  Leave it blank to ignore this option.  Keep in mind your custom message above will appear in the feed as part of the content.  This would be for a 'feed only' message",
				"id" => $shortname."_custom_feed_message",
				"type" => "textarea",
				"std" => "",
				"ans" => ""),
				
			array( "name" => "Deprecated",
				"type" => "ghost"),	
				
			array( "name" => "Deprecated",
				"type" => "ghost"),	
				
			array( "type" => "close")
			 
			);
			
$page2options = array (	
			array( "name" => "Torn Appearance Options",
				"type" => "title"),
			 
			array( "type" => "open"),
			 
			array( "name" => "Navigation Bar Options",
				"type" => "subtitle"),
			 
			array( "name" => "Sliding Menu Bar",
				"desc" => "What do you think of the sliding menu bar?  Select 'Slide' or 'No Slide' depending on what your preference is.",
				"id" => $shortname."_sliding_menu_bar",
				"type" => "select",
				"options" => array("slide" => "Slide", "noslide" => "No Slide"),
				"ans" => "Slide"),	
				
			array( "name" => "Sliding Menu Bar On All Pages",
				"desc" => "Do you like the sliding menu bar so much you want to see it on the rest of your pages?  Select 'On Pages' or 'Not On Pages' depending on what your preference is.",
				"id" => $shortname."_sliding_menu_bar_on_all_pages",
				"type" => "select",
				"options" => array("not on pages" => "Not On Pages" , "on pages" => "On Pages"),
				"ans" => "Not On Pages"),	
			
			array( "name" => "Sliding Bar Speed",
				"desc" => "Choose a speed for the slide bar on the opening of the homepage.",
				"id" => $shortname."_sliding_bar_speed",
				"type" => "select",
				"options" => array("Slowest", "Slow", "Medium", "Fast", "Ultrafast"),
				"ans" => "Medium"),	
					
			array( "name" => "Amount of Slide bar left showing",
				"desc" => "Is your Menu skinny with a few pages or wide with lots of pages?  Enter a number (number only) to control how far from the left your sliding menu bar stops.  The default answer is 140 meaning 140px from the left edge.  Keep in mind not everyone will see the page at the same width you do.",
				"id" => $shortname."_amount_of_slide",
				"type" => "text",
				"std" => "140",
				"ans" => "140"),
					
			 
			array( "name" => "Deprecated",
				"type" => "ghost"),	
				
			array( "name" => "Two Level Menu",
				"desc" => "Do you have too many pages to fit on a single menu bar?  Select 'Two Level Menu' to create a second menu bar.",
				"id" => $shortname."_two_level_menu",
				"type" => "select",
				"options" => array('One Level Menu', 'Two Level Menu'),
				"ans" => ""),		
				
			array( "name" => "Header Logo",
				"type" => "subtitle"),	
				
			array( "name" => "Image or Text Logo",
				"desc" => "Do you want to use the default 'image' logo or use a 'Text' logo instead.  The text logo will use your blog Title to generate the logo.  If you want something a little more professional, there is a file in the 'themes/torn/images' directory named blanklogo.jpg that you can edit in a graphics program to make your own custom logo.  After you make your changes rename it logo.gif and place it back in the same directory to replace the current logo.",
				"id" => $shortname."_text_or_image_logo",
				"type" => "select",
				"options" => array("image" => "Image", "Text" => "Text"),
				"ans" => "Image"),	
				
			array( "name" => "Logo Text Font Size",
				"desc" => "Customize the font size of your text logo by typing a number (only the number) in the text box.  Assuming you selected 'Text Logo' above. The Default font-size is 35 so a smaller number will decrease the size and a larger number will increase the size.",
				"id" => $shortname."_logo_text_font_size",
				"type" => "text",
				"std" => "",
				"ans" => ""),		
				
			array( "name" => "Pick your logo font",
				"desc" => "Select the font to use for your text logo.  Assuming you selected 'Text Logo' above.",
				"id" => $shortname."_logo_font_select",
				"type" => "select",
				"options" => array('Arial','Arial Black','Comic Sans MS','Courier New','Georgia','Impact','Lucida Console','Lucida Sans Unicode','Palatino Linotype','Tahoma','Times New Roman','Trebuchet MS1','Verdana'),
				"ans" => "Arial"),		
				
			array( "name" => "Position Text Logo",
				"desc" => "Do you have a long blog title that is wrapping in the header logo?  Select 'Two Line Title' to raise the log and make room for the second line of your title.",
				"id" => $shortname."_logo_margin_adjust",
				"type" => "select",
				"options" => array('One Line Title', 'Two Line Title'),
				"ans" => "One Line Title"),	
			
			array( "name" => "Favicon",
				"type" => "subtitle"),
						
			array( "name" => "Do you have a favicon?",
				"desc" => "Do you have a favicon for your blog?  Upload it to the root file of your blog and select the checkbox to activate.  Favicons are quirky in some browsers, so if you don't see it, delete your browser cache.  It you still don't see it try viewing your page using another browser.",
				"before" => "",
				"id" => $shortname."_torn_favicon",
				"type" => "checkbox",
				"std" => "true",
				"ans" => "true"),		
			 
			array( "type" => "close")
			 
			);
			
$page3options = array (	
			array( "name" => "Torn SEO and Monetization Options",
				"type" => "title"),
			 
			array( "type" => "open"),
			
			array( "name" => "Banners",
				"type" => "subtitle"),
			 
			array( "name" => "Show Rotating Banner",
				"desc" => "Do you want to show the 468 x 60 rotating banner in the header of your blog?  Go <a href='#file-upload'>here</a> to manage banners.",
				"id" => $shortname."_rotating_banner",
				"type" => "checkbox",
				"std" => "true",
				"ans" => "true"),	
				
			array( "name" => "Homepage Static Banner",
				"desc" => "Do you want to ignore the banner rotation on your homepage and just display Banner #1 on the homepage?",
				"id" => $shortname."_homepage_static_banner",
				"type" => "checkbox",
				"std" => "true",
				"ans" => "true"),	
				
			array( "name" => "Banners in Feed",
				"desc" => "Do you want to have your 468 x 60 rotating banners to appear in your rss feed?",
				"id" => $shortname."_banners_in_feed",
				"type" => "checkbox",
				"std" => "true",
				"ans" => "true"),	
				
			array( "name" => "SEO",
				"type" => "subtitle"),		
			
			array( "name" => "Remove 'nofollow' from Comments",
				"desc" => "Select to remove the nofollow tag from your commenters links.  This can be a good way to encourage more comments from your visitors, but keep in mind the external links could affect your SEO.",
				"id" => $shortname."_remove_nofollow",
				"type" => "checkbox",
				"std" => "true",
				"ans" => "true"),		
			 
			array( "type" => "close")
			 
			);			

$options = array('page1options' => $page1options, 'page2options' => $page2options, 'page3options' => $page3options);
$bareoptions = array('page1options','page2options','page3options');
	if (get_option($themewpoptionkey) == null) {
		update_option($themewpoptionkey, $options);
	}
	
/*****************************************************
*	Admin Menu and Register Options													 *
 ****************************************************/

function torn_admin_menu() {
	global $themename,
		$shortname,
		$options;
		
  add_theme_page('Torn Admin',  'Torn Admin Options', 'edit_theme_options', basename(__FILE__), 'torn_admin'); 
  
}

include( TEMPLATEPATH . '/php/thememenuadmin.php' ); 
include( TEMPLATEPATH . '/php/thememenuapp.php' );
include( TEMPLATEPATH . '/php/thememenuseo.php' ); 

function torn_admin() {
	torn_admin_page();
	torn_appearance_page();
	torn_seo_page();
}

/*****************************************************
*	Run the Create Menu Function														 *
 ****************************************************/

add_action('admin_menu', 'torn_admin_menu');

/*****************************************************
*	Begin Theme Admin Function Inclusions												 *
 ****************************************************/

include( TEMPLATEPATH . '/php/themefunctionsadmin.php' ); 
include( TEMPLATEPATH . '/php/themefunctionsapp.php' ); 
include( TEMPLATEPATH . '/php/themefunctionsseo.php' ); 


?>